[PATCH] Fix SAL 3.2 detection

From: Matthew Wilcox <willy_at_debian.org>
Date: 2004-03-24 12:58:11
Hi David.  This important fix checks the SAl *revision* rather than
the *version*.  I carefully documented which was which, then used the
wrong one.

Index: arch/ia64/pci/pci.c
===================================================================
RCS file: /var/cvs/linux-2.6/arch/ia64/pci/pci.c,v
retrieving revision 1.8
diff -u -p -r1.8 pci.c
--- a/arch/ia64/pci/pci.c	20 Mar 2004 20:29:23 -0000	1.8
+++ b/arch/ia64/pci/pci.c	24 Mar 2004 01:55:32 -0000
@@ -128,7 +128,8 @@ struct pci_raw_ops *raw_pci_ops = &pci_s
 static int __init
 pci_set_sal_ops (void)
 {
-	if (sal_version >= SAL_VERSION_CODE(3, 2)) {
+	if (sal_revision >= SAL_VERSION_CODE(3, 2)) {
+		printk("Using SAL 3.2 to access PCI config space\n");
 		raw_pci_ops = &pci_sal_ext_ops;
 	}
 	return 0;

-- 
"Next the statesmen will invent cheap lies, putting the blame upon 
the nation that is attacked, and every man will be glad of those
conscience-soothing falsities, and will diligently study them, and refuse
to examine any refutations of them; and thus he will by and by convince 
himself that the war is just, and will thank God for the better sleep 
he enjoys after this process of grotesque self-deception." -- Mark Twain
-
To unsubscribe from this list: send the line "unsubscribe linux-ia64" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Received on Tue Mar 23 20:58:43 2004

This archive was generated by hypermail 2.1.8 : 2005-08-02 09:20:24 EST